Bug 1472473 - kernel: no 4.11 kernel boots
kernel: no 4.11 kernel boots
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 16:29 EDT by David Anderson
Modified: 2017-11-16 15:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-16 15:14:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2017-07-18 16:29:40 EDT
Description of problem:

After choosing the kernel to boot in GRUB, if it is later than 4.10, then after showing the message "EFI stub: UEFI secure boot is enabled", the computer freezes. No further activity takes place, and it is unresponsive to key-presses.

Version-Release number of selected component (if applicable):

Any later than 4.10. For example, the current latest 4.11.10-200.fc25


How reproducible:

Every time

Steps to Reproduce:
1. Boot into 4.11.x kernel

Actual results: Freezes
Expected results: Boots


Additional info:

The CPU model name in /proc/cpuinfo is "Intel (R) Pentium(R) CPU N3540 @ 1.26GHz", with cpu family 6, model 55. The machine is an Asus Laptop, model number E402M.

I waited for a while before reporting it (there have been a few 4.11 kernels) in case it got fixed in the mean-time. But it's been some weeks now, so I am reporting it.
Comment 1 David Anderson 2017-08-05 13:59:56 EDT
I upgraded the machine to Fedora 26. Attempting to boot with the Fedora 26 kernel, it gets further into the boot process (if I remove 'rhgb' and 'quiet' from the kernel command line, then lots of things scroll past), but it still locks up during the boot process. The Fedora 25 kernel allows it to boot into userspace.
Comment 2 Fedora End Of Life 2017-11-16 14:28:58 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 David Anderson 2017-11-16 14:52:20 EST
Eventually, a few months after the problem began, latest kernels began working on this machine again. All is well.

This bug report continues my long, unhappy tradition of posting stuff in Bugzilla with accompanying detail and willingness to provide whatever's needed, and getting zero response of any sort. I appreciate all your work and benefit from it daily. If I'm doing something wrong I'd be happy to be corrected.
Comment 4 Josh Boyer 2017-11-16 15:14:07 EST
(In reply to David Anderson from comment #3)
> Eventually, a few months after the problem began, latest kernels began
> working on this machine again. All is well.
> 
> This bug report continues my long, unhappy tradition of posting stuff in
> Bugzilla with accompanying detail and willingness to provide whatever's
> needed, and getting zero response of any sort. I appreciate all your work
> and benefit from it daily. If I'm doing something wrong I'd be happy to be
> corrected.

You aren't doing anything wrong.  There is no good answer for you other than your bug is one of several hundred reported against the kernel and it didn't map to a larger theme seen among them.  There have been only 2 maintainers for a while now, and they can't reply to every bug or they would do nothing else.  This is unfortunate from a user experience standpoint, but it is reality.

Please keep reporting.

Note You need to log in before you can comment on or make changes to this bug.